IPWATCHD-SCRIPT(1)

NAME
ipwatchd-script - User-defined script called by IPwatchD daemon when IP conflict occurs

SYNOPSIS
ipwatchd-script device IP_address MAC_address

DESCRIPTION
This script is executed by IPwatchD daemon when IP conflict occurs. It uses IPwatchD-G-Notify (if available) to display warning message in Gnome sessions. System administrator can write own script to handle IP conflicts and instruct IPwatchD daemon to use it by modification of user_script directive in its configuration file.

OPTIONS
Following options are passed by IPwatchD daemon:

device
    Name of network device in conflict.

IP_address
    IP address in conflict.

MAC_address
    MAC address of conflicting system.

AUTHOR
This manual page was written by Jaroslav Imrich <jariq@jariq.sk>

SEE ALSO
ipwatchd(8), ipwatchd.conf(5), ipwatchd-gnotify(1)